<?xml version="1.0" encoding="UTF-8"?>
<project>
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.flamesgroup</groupId>
    <artifactId>antrax.control</artifactId>
    <version>1.18.0-SNAPSHOT</version>
  </parent>

  <artifactId>antrax.control.gui-client</artifactId>
  <name>antrax.control.gui-client</name>

  <dependencies>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.control.swingwidgets</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.commons</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.control.commons</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.control.server</artifactId>
      <version>${project.version}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <archive>
            <manifest>
              <mainClass>com.flamesgroup.antrax.control.guiclient.MainApp</mainClass>
              <packageName>com.flamesgroup.antrax.control.guiclient</packageName>
              <addClasspath>true</addClasspath>
            </manifest>
            <manifestEntries>
              <SplashScreen-Image>img/splash.jpg</SplashScreen-Image>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
